Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1124 - problem with SIGCHLD signal handling in vixie-cron
Summary: problem with SIGCHLD signal handling in vixie-cron
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron
Version: 5.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-11 23:55 UTC by Gilles Detillieux
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-10 22:03:38 UTC


Attachments (Terms of Use)

Description Gilles Detillieux 1999-02-11 23:55:19 UTC
There is a problem with SIGCHLD signal handling in
vixie-cron version 3.0.1, releases 19 through 24, on
Red Hat Linux 5.0 & 5.1.  This can cause problems with
cron jobs that are run from bash, which doesn't reset
the signal action to SIG_DFL when it's set to SIG_IGN.
Programs that expect normal SIGCHLD handling can fail
in cron jobs.  An example is programs that use popen(),
and check the result of pclose() - it fails with ECHILD.
The htmerge program in ht://Dig fails quite consistently
when run from a cron job on 5.0 or 5.1.

This bug is fixed in vixie-cron-3.0.1-26.src.rpm, in
Red Hat 5.2.  However, no mention is made of this in
the errata for 5.0 and 5.1, and no update RPMs have
been issued for these systems.  This is a frequent source
of confusion and frustration for Red Hat 5.0 and 5.1 users.


Note You need to log in before you can comment on or make changes to this bug.